# QTableView Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemView.

### Constructor

- void QTableView(QWidget parent)

### Constructor Properties

- prototype: The QTableView prototype object

### Prototype Object Properties

The QTableView prototype object inherits properties from the QAbstractItemView prototype object and also has the following properties.

- void clearSpans()
- int columnAt(int x)
- int columnSpan(int row, int column)
- int columnViewportPosition(int column)
- int columnWidth(int column)
- QHeaderView horizontalHeader()
- bool isColumnHidden(int column)
- bool isRowHidden(int row)
- int rowAt(int y)
- int rowHeight(int row)
- int rowSpan(int row, int column)
- int rowViewportPosition(int row)
- void setColumnHidden(int column, bool hide)
- void setColumnWidth(int column, int width)
- void setHorizontalHeader(QHeaderView header)
- void setRowHeight(int row, int height)
- void setRowHidden(int row, bool hide)
- void setSpan(int row, int column, int rowSpan, int columnSpan)
- void setVerticalHeader(QHeaderView header)
- void sortByColumn(int column, SortOrder order)
- QHeaderView verticalHeader()

### Instance Properties

QTableView objects inherit properties from the QTableView prototype object and also have the following properties.

- showGrid
- gridStyle
- sortingEnabled
- wordWrap
- cornerButtonEnabled